Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query
Class QueryContext

    java.lang.Object
      org.basex.core.Progress
          org.basex.query.QueryContext

Direct Known Subclasses:
  XPContext, XQContext

    public abstract class QueryContext

extends Progress

This abstract query expression provides the architecture for a compiled query.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`IO` | `file` Reference to the query file.
`static byte[]` | `PLAN` Query Info: Plan.
`java.lang.String` | `query` Query string.

Constructor Summary
`QueryContext()`

Method Summary
`void` | `compInfo(java.lang.String string, java.lang.Object... ext)` Adds some optimization info.
`java.lang.String` | `det()` Returns short information on this process.
`void` | `evalInfo(java.lang.String string, java.lang.Object... ext)` Adds some evaluation info.
`java.lang.String` | `info()` Returns query background information.
`void` | `planDot()` Shows the dot output via dotty.
`void` | `planXML()` Prints the plan to the specified file.
`double` | `prog()` Returns progress information.
`java.lang.String` | `tit()` Returns short information on this process.

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLAN

    public static final byte[] PLAN

  Query Info: Plan.

### file

    public IO file

  Reference to the query file.

### query

    public java.lang.String query

  Query string.

Constructor Detail

### QueryContext

    public QueryContext()

Method Detail

### compInfo

    public final void compInfo(java.lang.String string,
                               java.lang.Object... ext)

  Adds some optimization info.

  Parameters:
    `string` - evaluation info
    `ext` - text text extensions

### evalInfo

    public final void evalInfo(java.lang.String string,
                               java.lang.Object... ext)

  Adds some evaluation info.

  Parameters:
    `string` - evaluation info
    `ext` - text text extensions

### info

    public final java.lang.String info()

  Returns query background information.

  Returns:
    warning

### tit

    public final java.lang.String tit()

  Description copied from class: `Progress`
  Returns short information on this process. Can be overwritten to give more detailed information.

  Returns:
    header information

### det

    public final java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

### prog

    public final double prog()

  Description copied from class: `Progress`
  Returns progress information. Can be overwritten to give more detailed information.

  Overrides:
    `prog` in class `Progress`
  Returns:
    header information

### planXML

    public final void planXML()
                       throws java.lang.Exception

  Prints the plan to the specified file.

  Throws:
    `java.lang.Exception` - exception

### planDot

    public final void planDot()
                       throws java.lang.Exception

  Shows the dot output via dotty.

  Throws:
    `java.lang.Exception` - exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD